Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155277 - Rescue mode crashes when starting networking
Summary: Rescue mode crashes when starting networking
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 4
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-18 19:00 UTC by Karen Pease
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-04 17:35:39 UTC


Attachments (Terms of Use)

Description Karen Pease 2005-04-18 19:00:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3) Gecko/20040922

Description of problem:
If you enter rescue mode (startup with parameters "linux rescue"), and you choose rescue mode and accept the defaults (dhcp, et al), it crashes.  My card uses driver via_velocity (i.e., gigabit).  Here's the traceback (hand copied, so there may be some typos):

Traceback (most recent call last):

File "/usr/bin/anaconda", line 604, in?
rescue.runRescue(rootPath, not rescue_nomount, id)
File "/usr/lib/anaconda/rescue/py", line 209, in runRescue
<Tab>/<Alt-Tab> between elements: <Space> rc = apply (win, (Screen,) + args)
TypeError: __call__() tkes exactly 6 arguments (5 given)


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Start up the cd with "linunx rescue"
2. Choose networking
3. Accept the defaults
4. If it doesn't work, try again with a card that uses via_velocity


Additional info:

Comment 1 Jeremy Katz 2005-04-18 19:16:36 UTC
Fixed this last week.

Comment 2 Alexandre Oliva 2005-05-04 17:35:39 UTC
Confirmed, it worked on some recent compose.


Note You need to log in before you can comment on or make changes to this bug.